FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 07-22-2010, 08:04 AM
Arnau Bria
 
Default error compiling media-libs/netpbm-10.49.00

Hi all,

long time since last update. I was trying to update my system and it
failed at netpbm with this error:

/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../../i686-pc-linux-gnu/bin/ld:
warning: libjpeg.so.7, needed
by /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so, not
found (try using -rpath or
-rpath-link) /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_stdio_dest@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_stdio_src@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_set_defaults@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_write_scanlines@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_CreateDecompress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_set_quality@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_default_colorspace@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_std_error@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_destroy_decompress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_read_header@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_CreateCompress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_start_compress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_finish_compress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_read_scanlines@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_destroy_compress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to
`jpeg_finish_decompress@LIBJPEG_7.0' /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
undefined reference to `jpeg_start_decompress@LIBJPEG_7.0' collect2: ld
returned 1 exit status make[3]: *** [pamtojpeg2k] Error 1 make[3]:
Leaving directory
`/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter/other/jpeg2000'
make[2]: *** [jpeg2000/all] Error 2 make[2]: Leaving directory
`/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter/other'
make[1]: *** [other/all] Error 2 make[1]: Leaving directory
`/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter'
make: *** [converter/all] Error 2
* ERROR: media-libs/netpbm-10.49.00 failed:
* (no error message)

I'm looking for the error in forums and google and found nothing.
I have no idea, but why it complains about libjpeg.so.7 if my system
has jpeg 8?

[i] media-libs/jpeg
Available versions:
(62) 6b-r9
(7) ~7-r1
(0) 8a 8b
Installed versions: 8b(11:07:28 PM 07/21/2010)
Homepage: http://jpegclub.org/ http://www.ijg.org/
Description: Library to load, handle and manipulate images
in the JPEG format



emerge --info:

# emerge --info
Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.3.4,
glibc-2.11.2-r0, 2.6.31-gentoo-r10 i686)
================================================== ===============
System uname:
Linux-2.6.31-gentoo-r10-i686-Intel-R-_Core-TM-2_Duo_CPU_T5470_@_1.60GHz-with-gentoo-1.12.13
Timestamp of tree: Tue, 20 Jul 2010 20:15:01 +0000
app-shells/bash: 4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python: 2.6.5-r2, 3.1.2-r3
dev-util/cmake: 2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.65
sys-devel/automake: 1.10.3, 1.11.1
sys-devel/binutils: 2.20.1-r1
sys-devel/gcc: 4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -mtune=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch
protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="es en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
--compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa apm aspell bluetooth branding bzip2 cairo
cdparanoia cdr clamav consolekit cracklib crypt ctype cups cxx dbus divx dri dts dvd dvdr encode exif firefox flac gdbm gif gpm gtk gtk2 hal hddtemp iconv imap jpeg jpeg2k jpg libnotify mad mikmod modules mp3 mp4 mpeg mpeg2 mplayer mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pango pcre pdf perl png ppds python qt3support quicktime readline sasl sdl session spamassassin spell spl sqlite sse2 ssl startup-notification svg symlink sysfs tcltk tcpd thunar tiff truetype unicode usb userlocales v4l v4l2 vcd vorbis win32codecs x264 x86 xcb xface xfce xml xml2 xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route
share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa intel i810" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS,
PORTDIR_OVERLAY

Anyone could give me a hand?

TIA,
--
Arnau Bria
http://blog.emergetux.net
Bombing for peace is like fucking for virginity
 
Old 07-22-2010, 08:45 AM
Arnau Bria
 
Default error compiling media-libs/netpbm-10.49.00

Hi again,

a revdep-rebuil --library libjpeg.so.7 solved my problem.

now I should be able to continue with my update.

sorry for the noise.

Cheers,
Arnau
 
Old 07-22-2010, 08:53 AM
Alan McKinnon
 
Default error compiling media-libs/netpbm-10.49.00

On Thursday 22 July 2010 10:04:46 Arnau Bria wrote:
> Hi all,
>
> long time since last update. I was trying to update my system and it
> failed at netpbm with this error:

Yes, I can see it was a long time ago :-)

You hit the jpeg issue and that was a while back. We've had the linpng issue
since then. Install jpeg:7 and try again.

You can expect to use a lot of revdep-rebuild to get all this going again.


>
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../../i686-pc-linux-gnu/bin/ld:
> warning: libjpeg.so.7, needed
> by /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so, not
> found (try using -rpath or
> -rpath-link) /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so:
> undefined reference to
> `jpeg_stdio_dest@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_stdio_src@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_set_defaults@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_write_scanlines@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_CreateDecompress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_set_quality@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_default_colorspace@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_std_error@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_destroy_decompress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_read_header@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_CreateCompress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_start_compress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_finish_compress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_read_scanlines@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_destroy_compress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to
> `jpeg_finish_decompress@LIBJPEG_7.0'
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.4/../../../libjasper.so: undefined
> reference to `jpeg_start_decompress@LIBJPEG_7.0' collect2: ld returned 1
> exit status make[3]: *** [pamtojpeg2k] Error 1 make[3]: Leaving directory
> `/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter
> /other/jpeg2000' make[2]: *** [jpeg2000/all] Error 2 make[2]: Leaving
> directory
> `/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter
> /other' make[1]: *** [other/all] Error 2 make[1]: Leaving directory
> `/var/tmp/portage/media-libs/netpbm-10.49.00/work/netpbm-10.49.00/converter
> ' make: *** [converter/all] Error 2
> * ERROR: media-libs/netpbm-10.49.00 failed:
> * (no error message)
>
> I'm looking for the error in forums and google and found nothing.
> I have no idea, but why it complains about libjpeg.so.7 if my system
> has jpeg 8?
>
> [i] media-libs/jpeg
> Available versions:
> (62) 6b-r9
> (7) ~7-r1
> (0) 8a 8b
> Installed versions: 8b(11:07:28 PM 07/21/2010)
> Homepage: http://jpegclub.org/ http://www.ijg.org/
> Description: Library to load, handle and manipulate images
> in the JPEG format
>
>
>
> emerge --info:
>
> # emerge --info
> Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.3.4,
> glibc-2.11.2-r0, 2.6.31-gentoo-r10 i686)
> ================================================== ===============
> System uname:
> Linux-2.6.31-gentoo-r10-i686-Intel-R-_Core-TM-2_Duo_CPU_T5470_@_1.60GHz-wit
> h-gentoo-1.12.13 Timestamp of tree: Tue, 20 Jul 2010 20:15:01 +0000
> app-shells/bash: 4.0_p37
> dev-java/java-config: 2.1.11
> dev-lang/python: 2.6.5-r2, 3.1.2-r3
> dev-util/cmake: 2.6.4-r3
> sys-apps/baselayout: 1.12.13
> sys-apps/sandbox: 1.6-r2
> sys-devel/autoconf: 2.65
> sys-devel/automake: 1.10.3, 1.11.1
> sys-devel/binutils: 2.20.1-r1
> sys-devel/gcc: 4.3.4, 4.4.3-r2
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool: 2.2.6b
> virtual/os-headers: 2.6.30-r1
> ACCEPT_KEYWORDS="x86"
> ACCEPT_LICENSE="*"
> CBUILD="i686-pc-linux-gnu"
> CFLAGS="-O2 -mtune=i686 -pipe"
> CHOST="i686-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/share/X11/xkb"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d
> /etc/terminfo" CXXFLAGS="-O2 -mtune=i686 -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="assume-digests distlocks fixpackages news parallel-fetch
> protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans
> userfetch" GENTOO_MIRRORS="http://distfiles.gentoo.org"
> LANG="en_US.UTF-8"
> LC_ALL="en_US.UTF-8"
> LDFLAGS="-Wl,-O1"
> LINGUAS="es en"
> MAKEOPTS="-j3"
> PKGDIR="/usr/portage/packages"
> PORTAGE_CONFIGROOT="/"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
> --compress --force --whole-file --delete --stats --timeout=180
> --exclude=/distfiles --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
> USE="X a52 aac acl acpi alsa apm aspell bluetooth branding bzip2 cairo
> cdparanoia cdr clamav consolekit cracklib crypt ctype cups cxx dbus divx
> dri dts dvd dvdr encode exif firefox flac gdbm gif gpm gtk gtk2 hal
> hddtemp iconv imap jpeg jpeg2k jpg libnotify mad mikmod modules mp3 mp4
> mpeg mpeg2 mplayer mudflap ncurses nls nptl nptlonly nsplugin ogg opengl
> openmp pango pcre pdf perl png ppds python qt3support quicktime readline
> sasl sdl session spamassassin spell spl sqlite sse2 ssl
> startup-notification svg symlink sysfs tcltk tcpd thunar tiff truetype
> unicode usb userlocales v4l v4l2 vcd vorbis win32codecs x264 x86 xcb xface
> xfce xml xml2 xorg xscreensaver xulrunner xv xvid zlib"
> ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci
> emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0
> intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
> ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug
> file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi
> null plug rate route share shm softvol" APACHE2_MODULES="actions alias
> auth_basic authn_alias authn_anon authn_dbm authn_default authn_file
> authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user
> autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env
> expires ext_filter file_cache filter headers include info log_config logio
> mem_cache mime mime_magic negotiation rewrite setenvif speling status
> unique_id userdir usertrack vhost_alias" ELIBC="glibc"
> INPUT_DEVICES="evdev mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad
> cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
> LINGUAS="es en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa
> intel i810" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options
> ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat
> logmark ipmark dhcpmac delude chaos account" Unset: CPPFLAGS, CTARGET,
> EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS,
> PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
>
> Anyone could give me a hand?
>
> TIA,

--
alan dot mckinnon at gmail dot com
 
Old 07-22-2010, 10:29 AM
Arnau Bria
 
Default error compiling media-libs/netpbm-10.49.00

On Thu, 22 Jul 2010 10:53:54 +0200
Alan McKinnon wrote:

> On Thursday 22 July 2010 10:04:46 Arnau Bria wrote:
> > Hi all,
> >
> > long time since last update. I was trying to update my system and it
> > failed at netpbm with this error:
>
> Yes, I can see it was a long time ago :-)

I really don't care about "big" gentoo updates. Some years ago I did,
but now it usually goes fine. minor issues :-)

> You hit the jpeg issue and that was a while back. We've had the
> linpng issue since then. Install jpeg:7 and try again.
>
> You can expect to use a lot of revdep-rebuild to get all this going
> again.
revdep-rebuild against libjpeg.so.7 solved the issue.

So, I suppose it did rebuild some dep package (don't ask me which :-) )
that solved the issue

Arnau
 
Old 07-22-2010, 12:30 PM
Bill Longman
 
Default error compiling media-libs/netpbm-10.49.00

On 7/22/10, Arnau Bria <arnau@emergetux.net> wrote:
> On Thu, 22 Jul 2010 10:53:54 +0200
> Alan McKinnon wrote:
>
>> On Thursday 22 July 2010 10:04:46 Arnau Bria wrote:
>> > Hi all,
>> >
>> > long time since last update. I was trying to update my system and it
>> > failed at netpbm with this error:
>>
>> Yes, I can see it was a long time ago :-)
>
> I really don't care about "big" gentoo updates. Some years ago I did,
> but now it usually goes fine. minor issues :-)
>
>> You hit the jpeg issue and that was a while back. We've had the
>> linpng issue since then. Install jpeg:7 and try again.
>>
>> You can expect to use a lot of revdep-rebuild to get all this going
>> again.
> revdep-rebuild against libjpeg.so.7 solved the issue.
>
> So, I suppose it did rebuild some dep package (don't ask me which :-) )
> that solved the issue
>
> Arnau
>
>

Your CFLAGS:
CFLAGS="-O2 -mtune=i686 -pipe"

You might like
CFLAGS="-O2 -march=core2 -pipe"
 
Old 07-22-2010, 10:02 PM
Mick
 
Default error compiling media-libs/netpbm-10.49.00

On Thursday 22 July 2010 13:30:49 Bill Longman wrote:
> On 7/22/10, Arnau Bria <arnau@emergetux.net> wrote:
> > On Thu, 22 Jul 2010 10:53:54 +0200
> >
> > Alan McKinnon wrote:
> >> On Thursday 22 July 2010 10:04:46 Arnau Bria wrote:
> >> > Hi all,
> >> >
> >> > long time since last update. I was trying to update my system and it
> >>
> >> > failed at netpbm with this error:
> >> Yes, I can see it was a long time ago :-)
> >
> > I really don't care about "big" gentoo updates. Some years ago I did,
> > but now it usually goes fine. minor issues :-)
> >
> >> You hit the jpeg issue and that was a while back. We've had the
> >> linpng issue since then. Install jpeg:7 and try again.
> >>
> >> You can expect to use a lot of revdep-rebuild to get all this going
> >> again.
> >
> > revdep-rebuild against libjpeg.so.7 solved the issue.
> >
> > So, I suppose it did rebuild some dep package (don't ask me which :-) )
> > that solved the issue

Well, as Alan said, next time it falls apart (if it is the linpng issue) it
may also require the incantation lafilefixer --justfixit, in-between sessions
of revdep-rebuild.

If you search the M/L you'll see a few of us cussing about it.
--
Regards,
Mick
 

Thread Tools




All times are GMT. The time now is 03:59 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org